// The billing account to assign the project to
variable "billing_account" {
  type        = string
  description = "Billing account of the organization"
}

locals {
  api_services = {
    common = [
      "bigquery.googleapis.com",
      "bigquerystorage.googleapis.com",
      "cloudapis.googleapis.com",
      "cloudbilling.googleapis.com",
      "clouddebugger.googleapis.com",
      "cloudresourcemanager.googleapis.com",
      "cloudkms.googleapis.com",
      "cloudtrace.googleapis.com",
      "compute.googleapis.com",
      "container.googleapis.com",
      "containerregistry.googleapis.com",
      "datastore.googleapis.com",
      "dns.googleapis.com",
      "iam.googleapis.com",
      "iamcredentials.googleapis.com",
      "iap.googleapis.com",
      "logging.googleapis.com",
      "monitoring.googleapis.com",
      "oslogin.googleapis.com",
      "pubsub.googleapis.com",
      "recommender.googleapis.com",
      "servicemanagement.googleapis.com",
      "serviceusage.googleapis.com",
      "storage-api.googleapis.com",
      "storage-component.googleapis.com",
      "secretmanager.googleapis.com",
    ]
    gitlab-ops = [
      "cloudbuild.googleapis.com",
      "cloudfunctions.googleapis.com",
      "cloudprofiler.googleapis.com",
      "cloudscheduler.googleapis.com",
      "dataflow.googleapis.com",
      "deploymentmanager.googleapis.com",
      "firebaserules.googleapis.com",
      "firestore.googleapis.com",
      "file.googleapis.com",
      "pagespeedonline.googleapis.com",
      "plus.googleapis.com",
      "redis.googleapis.com",
      "replicapool.googleapis.com",
      "replicapoolupdater.googleapis.com",
      "resourceviews.googleapis.com",
      "servicenetworking.googleapis.com",
      "sqladmin.googleapis.com",
      "sql-component.googleapis.com",
      "stackdriver.googleapis.com",
      "websecurityscanner.googleapis.com",
      "cloudbuild.googleapis.com",
    ]
    gitlab-production = [
      "bigquerydatatransfer.googleapis.com",
      "bigtable.googleapis.com",
      "bigtableadmin.googleapis.com",
      "cloudasset.googleapis.com",
      "cloudfunctions.googleapis.com",
      "cloudprofiler.googleapis.com",
      "cloudscheduler.googleapis.com",
      "dataflow.googleapis.com",
      "deploymentmanager.googleapis.com",
      "drive.googleapis.com",
      "file.googleapis.com",
      "firebaserules.googleapis.com",
      "firestore.googleapis.com",
      "redis.googleapis.com",
      "replicapool.googleapis.com",
      "replicapoolupdater.googleapis.com",
      "resourceviews.googleapis.com",
      "servicenetworking.googleapis.com",
      "sourcerepo.googleapis.com",
      "spanner.googleapis.com",
      "sql-component.googleapis.com",
      "sqladmin.googleapis.com",
      "stackdriver.googleapis.com",
      "cloudbuild.googleapis.com",
    ]
    gitlab-pre = [
      "cloudprofiler.googleapis.com",
      "deploymentmanager.googleapis.com",
      "file.googleapis.com",
      "firebaserules.googleapis.com",
      "firestore.googleapis.com",
      "plus.googleapis.com",
      "redis.googleapis.com",
      "replicapool.googleapis.com",
      "replicapoolupdater.googleapis.com",
      "resourceviews.googleapis.com",
      "servicenetworking.googleapis.com",
      "sqladmin.googleapis.com",
      "sql-component.googleapis.com",
      "sqladmin.googleapis.com",
      "stackdriver.googleapis.com",
      "cloudbuild.googleapis.com",
      "cloudfunctions.googleapis.com",
    ]
    gitlab-release = [
      "plus.googleapis.com",
      "replicapool.googleapis.com",
      "replicapoolupdater.googleapis.com",
      "resourceviews.googleapis.com",
      "servicenetworking.googleapis.com",
      "stackdriver.googleapis.com",
      "sql-component.googleapis.com",
    ]
    gitlab-staging = [
      "bigtable.googleapis.com",
      "bigtableadmin.googleapis.com",
      "cloudfunctions.googleapis.com",
      "cloudprofiler.googleapis.com",
      "cloudshell.googleapis.com",
      "dataflow.googleapis.com",
      "deploymentmanager.googleapis.com",
      "file.googleapis.com",
      "firebaserules.googleapis.com",
      "firestore.googleapis.com",
      "redis.googleapis.com",
      "replicapool.googleapis.com",
      "replicapoolupdater.googleapis.com",
      "resourceviews.googleapis.com",
      "spanner.googleapis.com",
      "servicenetworking.googleapis.com",
      "sql-component.googleapis.com",
      "sqladmin.googleapis.com",
      "stackdriver.googleapis.com",
      "cloudbuild.googleapis.com",
    ]
    gitlab-testbed = [
      "deploymentmanager.googleapis.com",
      "file.googleapis.com",
      "firebaserules.googleapis.com",
      "firestore.googleapis.com",
      "redis.googleapis.com",
      "replicapool.googleapis.com",
      "replicapoolupdater.googleapis.com",
      "resourceviews.googleapis.com",
      "servicenetworking.googleapis.com",
      "sql-component.googleapis.com",
    ]
    gitlab-ci = [
      "dataproc.googleapis.com",
      "deploymentmanager.googleapis.com",
      "replicapool.googleapis.com",
      "replicapoolupdater.googleapis.com",
      "resourceviews.googleapis.com",
      "stackdriver.googleapis.com",
      "cloudfunctions.googleapis.com",
      "dataflow.googleapis.com",
      "sql-component.googleapis.com",
    ]
    gitlab-db-benchmarking = [
      "bigquerydatatransfer.googleapis.com",
      "bigtable.googleapis.com",
      "bigtableadmin.googleapis.com",
      "cloudasset.googleapis.com",
      "cloudfunctions.googleapis.com",
      "cloudprofiler.googleapis.com",
      "cloudscheduler.googleapis.com",
      "dataflow.googleapis.com",
      "deploymentmanager.googleapis.com",
      "drive.googleapis.com",
      "file.googleapis.com",
      "firebaserules.googleapis.com",
      "firestore.googleapis.com",
      "redis.googleapis.com",
      "replicapool.googleapis.com",
      "replicapoolupdater.googleapis.com",
      "resourceviews.googleapis.com",
      "servicenetworking.googleapis.com",
      "sourcerepo.googleapis.com",
      "spanner.googleapis.com",
      "sql-component.googleapis.com",
      "sqladmin.googleapis.com",
      "stackdriver.googleapis.com",
      "cloudbuild.googleapis.com",
    ]
    gitlab-db-sharding-poc = [
      "bigquerydatatransfer.googleapis.com",
      "bigtable.googleapis.com",
      "bigtableadmin.googleapis.com",
      "cloudasset.googleapis.com",
      "cloudfunctions.googleapis.com",
      "cloudprofiler.googleapis.com",
      "cloudscheduler.googleapis.com",
      "dataflow.googleapis.com",
      "deploymentmanager.googleapis.com",
      "drive.googleapis.com",
      "file.googleapis.com",
      "firebaserules.googleapis.com",
      "firestore.googleapis.com",
      "redis.googleapis.com",
      "replicapool.googleapis.com",
      "replicapoolupdater.googleapis.com",
      "resourceviews.googleapis.com",
      "servicenetworking.googleapis.com",
      "sourcerepo.googleapis.com",
      "spanner.googleapis.com",
      "sql-component.googleapis.com",
      "sqladmin.googleapis.com",
      "stackdriver.googleapis.com",
      "cloudbuild.googleapis.com",
    ]
  }

  project_folder           = "626125638557" // gitlab.com/Infrastructure/Environments
  top_level_project_folder = "690532272866"

  ci = {
    ephemeral_vms = {
      roles = [
        "roles/iam.serviceAccountAdmin",
        "roles/cloudkms.admin",
        "roles/iam.roleAdmin",
        "roles/resourcemanager.projectIamAdmin",
        "roles/secretmanager.admin",
        "roles/bigquery.admin",
        "roles/logging.configWriter",
      ]
    }
  }
}

